范文华 / react-native-init


README.md 917 Bytes

Requirements

  • macos
  • Install xcode 9.4+
  • Install JDK 8+

Android Studio is not required. We will use shell script to install sdk-platforms and sdk-tools.

Install

npm install -g react-native-init

Create project

react-native-init YourProjectName

Options

version {string}

You can specify the version you want, default value is the latest react-native version.

react-native-init YourProjectName --version=0.56.0

npm {boolean}

Using npm to install package whatever.

react-native-init YourProjectName --npm

If you don’t append this parameter, we will check yarn at first, and then check npm when yarn is not installed.

Supported version

React-Native 0.55.4+

Chinese Developer

Launch vpn may be a better choice.

Related plugins

Waiting…